LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 10-18-2009, 10:38 PM   #1
pixellany
LQ Veteran
 
Registered: Nov 2005
Location: Annapolis, MD
Distribution: Mint
Posts: 17,808

Rep: Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742
Cups upgrade issue (And good news)


ArchLinux on Athlon 2400XP, 1G RAM, 100s of Gbytes of disk, endlessly flogged by distro-hopping and refusing to die. HP 1022 Laser printer--equally indestructable.

For this install, I never bothered with HPLIP. I've never totally understood it, and never seen evidence that I needed it.

All is going well until I decide to do a system-wide upgrade. Among other things, this takes CUPS from v 1.3.9 to v 1.4.1. Before long, the printer is gone. All of the usual tricks fail.

Boot into Mint (it just happened to be there). It is still on CUPS 1.3.9. It has no trouble finding the printer, but only with HPLIP. The usual auto-detected usb connection is not there.

Back to Arch, install HPLIP, and the printer now shows up exactly as it did in Mint. So perhaps the CUPS version was irrelevant.

I'm constantly tweaking things so there's no reasonable way to establish cause and effect here.


Any ideas?

Last edited by pixellany; 10-20-2009 at 07:11 PM.
 
Old 10-19-2009, 12:12 AM   #2
Jerre Cope
Member
 
Registered: Oct 2003
Location: Texas (central)
Distribution: ubuntu,Slackware,knoppix
Posts: 323

Rep: Reputation: 37
For HP's, especially new ones where you plan to use SANE for the AIO features, I'd recommend using HPLIP. I'm not familiar with arch, but with some versions of Slackware, I needed to download the current HPLIP source from HP (it's a bunch of Python scripts--I can't believe HP wrote it--it's so good). As you mentioned, CUPS recognizes HPLIP, and I believe I've used some HPLIP scripts to configure a CUPS printer. Lately I've been using Ubuntu and getting really spoiled, since it practically autosenses the printers and the setup for CUPS and HPLIP.

The problems I run into with CUPS usually have to do with the various versions of gs per version of CUPS where PDF's don't always interpret well.
 
Old 10-20-2009, 03:54 PM   #3
pixellany
LQ Veteran
 
Registered: Nov 2005
Location: Annapolis, MD
Distribution: Mint
Posts: 17,808

Original Poster
Rep: Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742
More data:

I just ran the same steps on another system----same result: With cups 1.3.X, it seems that HPLIP is not required. With 1.4.1, the printer is not detected without it.
 
Old 10-20-2009, 06:35 PM   #4
pixellany
LQ Veteran
 
Registered: Nov 2005
Location: Annapolis, MD
Distribution: Mint
Posts: 17,808

Original Poster
Rep: Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742
And......
I cannot install my Epson Stylus Photo 2200---it also worked under cups 1.3.X

Google....

Archlinux says: "disable usblp module"

Now it works!!
 
Old 10-20-2009, 06:39 PM   #5
manwithaplan
Member
 
Registered: Nov 2008
Location: ~/
Distribution: Arch || Sidux
Posts: 393

Rep: Reputation: 45
I was going to say that there was an announcement about the cups upgrade on Arch's homepage ... but you got it
 
Old 10-20-2009, 07:09 PM   #6
pixellany
LQ Veteran
 
Registered: Nov 2005
Location: Annapolis, MD
Distribution: Mint
Posts: 17,808

Original Poster
Rep: Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742Reputation: 742
It's getting better!!

The new version of CUPS has the Epson head test and head cleaning built-in (and they work!!)

Maybe Linux is ready for the Desktop after all........
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
No CUPS Printer After Upgrade anw Linux - Software 2 04-11-2009 06:21 PM
Issue with Cups and https magnumbi Linux - Server 1 05-24-2008 06:39 PM
Upgrade CUPS from 1.1.20 to 1.1.22 jpostma Linux - Newbie 1 12-16-2006 02:50 PM
HP cups issue solved Bl4cKP3nGu1n Linux - Hardware 0 06-16-2005 03:13 AM
CUPS Configuration Issue Crashed_Again Linux - Software 3 01-21-2003 04:43 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:43 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration